org.eclipse.lyo.client.oslc.resources

## Class ChangeRequest

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.ChangeRequest

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcNamespace(value="http://open-services.net/ns/cm#")
      @OslcResourceShape(title="Change Request Resource Shape",
                         describes="http://open-services.net/ns/cm#ChangeRequest")
      public final class ChangeRequest
      extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeRequest()`
    `ChangeRequest(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAffectedByDefect(org.eclipse.lyo.oslc4j.core.model.Link affectedByDefect)`
    `void` | `addAffectsPlanItem(org.eclipse.lyo.oslc4j.core.model.Link affectsPlanItem)`
    `void` | `addAffectsRequirement(org.eclipse.lyo.oslc4j.core.model.Link affectsRequirement)`
    `void` | `addAffectsTestResult(org.eclipse.lyo.oslc4j.core.model.Link affectsTestResult)`
    `void` | `addBlocksTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link blocksTestExecutionRecord)`
    `void` | `addContributor(URI contributor)`
    `void` | `addCreator(URI creator)`
    `void` | `addDctermsType(String dctermsType)`
    `void` | `addImplementsRequirement(org.eclipse.lyo.oslc4j.core.model.Link implementsRequirement)`
    `void` | `addRdfType(URI rdfType)`
    `void` | `addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)`
    `void` | `addRelatedResource(org.eclipse.lyo.oslc4j.core.model.Link relatedResource)`
    `void` | `addRelatedTestCase(org.eclipse.lyo.oslc4j.core.model.Link relatedTestCase)`
    `void` | `addRelatedTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link relatedTestExecutionRecord)`
    `void` | `addRelatedTestPlan(org.eclipse.lyo.oslc4j.core.model.Link relatedTestPlan)`
    `void` | `addRelatedTestScript(org.eclipse.lyo.oslc4j.core.model.Link relatedTestScript)`
    `void` | `addSubject(String subject)`
    `void` | `addTestedByTestCase(org.eclipse.lyo.oslc4j.core.model.Link testedByTestCase)`
    `void` | `addTracksChangeSet(org.eclipse.lyo.oslc4j.core.model.Link tracksChangeSet)`
    `void` | `addTracksRequirement(org.eclipse.lyo.oslc4j.core.model.Link tracksRequirement)`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectedByDefects()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectsPlanItems()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectsRequirements()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectsTestResults()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getBlocksTestExecutionRecords()`
    `Date` | `getCloseDate()`
    `URI[]` | `getContributors()`
    `Date` | `getCreated()`
    `URI[]` | `getCreators()`
    `String[]` | `getDctermsTypes()`
    `String` | `getDescription()`
    `URI` | `getDiscussedBy()`
    `String` | `getIdentifier()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getImplementsRequirements()`
    `URI` | `getInstanceShape()`
    `Date` | `getModified()`
    `URI[]` | `getRdfTypes()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedChangeRequests()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedResources()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedTestCases()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedTestExecutionRecords()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedTestPlans()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedTestScripts()`
    `URI` | `getServiceProvider()`
    `String` | `getShortTitle()`
    `String` | `getStatus()`
    `String[]` | `getSubjects()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTestedByTestCases()`
    `String` | `getTitle()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTracksChangeSets()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getTracksRequirements()`
    `Boolean` | `isApproved()`
    `Boolean` | `isClosed()`
    `Boolean` | `isFixed()`
    `Boolean` | `isInProgress()`
    `Boolean` | `isReviewed()`
    `Boolean` | `isVerified()`
    `void` | `setAffectedByDefects(org.eclipse.lyo.oslc4j.core.model.Link[] affectedByDefects)`
    `void` | `setAffectsPlanItems(org.eclipse.lyo.oslc4j.core.model.Link[] affectsPlanItems)`
    `void` | `setAffectsRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] affectsRequirements)`
    `void` | `setAffectsTestResults(org.eclipse.lyo.oslc4j.core.model.Link[] affectsTestResults)`
    `void` | `setApproved(Boolean approved)`
    `void` | `setBlocksTestExecutionRecords(org.eclipse.lyo.oslc4j.core.model.Link[] blocksTestExecutionRecords)`
    `void` | `setClosed(Boolean closed)`
    `void` | `setCloseDate(Date closeDate)`
    `void` | `setContributors(URI[] contributors)`
    `void` | `setCreated(Date created)`
    `void` | `setCreators(URI[] creators)`
    `void` | `setDctermsTypes(String[] dctermsTypes)`
    `void` | `setDescription(String description)`
    `void` | `setDiscussedBy(URI discussedBy)`
    `void` | `setFixed(Boolean fixed)`
    `void` | `setIdentifier(String identifier)`
    `void` | `setImplementsRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] implementsRequirements)`
    `void` | `setInProgress(Boolean inProgress)`
    `void` | `setInstanceShape(URI instanceShape)`
    `void` | `setModified(Date modified)`
    `void` | `setRdfTypes(URI[] rdfTypes)`
    `void` | `setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)`
    `void` | `setRelatedResources(org.eclipse.lyo.oslc4j.core.model.Link[] relatedResources)`
    `void` | `setRelatedTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestCases)`
    `void` | `setRelatedTestExecutionRecords(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestExecutionRecords)`
    `void` | `setRelatedTestPlans(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestPlans)`
    `void` | `setRelatedTestScripts(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestScripts)`
    `void` | `setReviewed(Boolean reviewed)`
    `void` | `setServiceProvider(URI serviceProvider)`
    `void` | `setShortTitle(String shortTitle)`
    `void` | `setStatus(String status)`
    `void` | `setSubjects(String[] subjects)`
    `void` | `setTestedByTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] testedByTestCases)`
    `void` | `setTitle(String title)`
    `void` | `setTracksChangeSets(org.eclipse.lyo.oslc4j.core.model.Link[] tracksChangeSets)`
    `void` | `setTracksRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] tracksRequirements)`
    `void` | `setVerified(Boolean verified)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeRequest

          public ChangeRequest()
                        throws URISyntaxException

      Throws:
        `URISyntaxException`

    - #### ChangeRequest

          public ChangeRequest(URI about)
                        throws URISyntaxException

      Throws:
        `URISyntaxException`

  - ### Method Detail

    - #### addAffectedByDefect

          public void addAffectedByDefect(org.eclipse.lyo.oslc4j.core.model.Link affectedByDefect)

    - #### addAffectsPlanItem

          public void addAffectsPlanItem(org.eclipse.lyo.oslc4j.core.model.Link affectsPlanItem)

    - #### addAffectsRequirement

          public void addAffectsRequirement(org.eclipse.lyo.oslc4j.core.model.Link affectsRequirement)

    - #### addAffectsTestResult

          public void addAffectsTestResult(org.eclipse.lyo.oslc4j.core.model.Link affectsTestResult)

    - #### addBlocksTestExecutionRecord

          public void addBlocksTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link blocksTestExecutionRecord)

    - #### addContributor

          public void addContributor(URI contributor)

    - #### addCreator

          public void addCreator(URI creator)

    - #### addDctermsType

          public void addDctermsType(String dctermsType)

    - #### addImplementsRequirement

          public void addImplementsRequirement(org.eclipse.lyo.oslc4j.core.model.Link implementsRequirement)

    - #### addRdfType

          public void addRdfType(URI rdfType)

    - #### addRelatedChangeRequest

          public void addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)

    - #### addRelatedResource

          public void addRelatedResource(org.eclipse.lyo.oslc4j.core.model.Link relatedResource)

    - #### addRelatedTestCase

          public void addRelatedTestCase(org.eclipse.lyo.oslc4j.core.model.Link relatedTestCase)

    - #### addRelatedTestExecutionRecord

          public void addRelatedTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link relatedTestExecutionRecord)

    - #### addRelatedTestPlan

          public void addRelatedTestPlan(org.eclipse.lyo.oslc4j.core.model.Link relatedTestPlan)

    - #### addRelatedTestScript

          public void addRelatedTestScript(org.eclipse.lyo.oslc4j.core.model.Link relatedTestScript)

    - #### addSubject

          public void addSubject(String subject)

    - #### addTestedByTestCase

          public void addTestedByTestCase(org.eclipse.lyo.oslc4j.core.model.Link testedByTestCase)

    - #### addTracksChangeSet

          public void addTracksChangeSet(org.eclipse.lyo.oslc4j.core.model.Link tracksChangeSet)

    - #### addTracksRequirement

          public void addTracksRequirement(org.eclipse.lyo.oslc4j.core.model.Link tracksRequirement)

    - #### getAffectedByDefects

          @OslcDescription(value="Change request is affected by a reported defect.")
          @OslcName(value="affectedByDefect")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#affectedByDefect")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Affected By Defects")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectedByDefects()

    - #### getAffectsPlanItems

          @OslcDescription(value="Change request affects a plan item. ")
          @OslcName(value="affectsPlanItem")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#affectsPlanItem")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Affects Plan Items")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectsPlanItems()

    - #### getAffectsRequirements

          @OslcDescription(value="Change request affecting a Requirement.")
          @OslcName(value="affectsRequirement")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#affectsRequirement")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Affects Requirements")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectsRequirements()

    - #### getAffectsTestResults

          @OslcDescription(value="Associated QM resource that is affected by this Change Request.")
          @OslcName(value="affectsTestResult")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#affectsTestResult")
          @OslcRange(value="http://open-services.net/ns/qm#TestResult")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Affects Test Results")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectsTestResults()

    - #### getBlocksTestExecutionRecords

          @OslcDescription(value="Associated QM resource that is blocked by this Change Request.")
          @OslcName(value="blocksTestExecutionRecord")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#blocksTestExecutionRecord")
          @OslcRange(value="http://open-services.net/ns/qm#TestExecutionRecord")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Blocks Test Execution Records")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getBlocksTestExecutionRecords()

    - #### getCloseDate

          @OslcDescription(value="The date at which no further activity or work is intended to be conducted. ")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#closeDate")
          @OslcReadOnly
          @OslcTitle(value="Close Date")
          public Date getCloseDate()

    - #### getContributors

          @OslcDescription(value="The person(s) who are responsible for the work needed to complete the change request.")
          @OslcName(value="contributor")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/contributor")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Contributors")
          public URI[] getContributors()

    - #### getCreated

          @OslcDescription(value="Timestamp of resource creation.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/created")
          @OslcReadOnly
          @OslcTitle(value="Created")
          public Date getCreated()

    - #### getCreators

          @OslcDescription(value="Creator or creators of resource.")
          @OslcName(value="creator")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/creator")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Creators")
          public URI[] getCreators()

    - #### getDctermsTypes

          @OslcAllowedValue(value={"Defect","Task","Story","Bug Report","Feature Request"})
          @OslcDescription(value="A short string representation for the type, example \'Defect\'.")
          @OslcName(value="type")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/type")
          @OslcTitle(value="Types")
          public String[] getDctermsTypes()

    - #### getDescription

          @OslcDescription(value="Descriptive text (reference: Dublin Core) about resource represented as rich text in XHTML content.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/description")
          @OslcTitle(value="Description")
          @OslcValueType(value=XMLLiteral)
          public String getDescription()

    - #### getDiscussedBy

          @OslcDescription(value="A series of notes and comments about this change request.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#discussedBy")
          @OslcRange(value="http://open-services.net/ns/core#Discussion")
          @OslcTitle(value="Discussed By")
          public URI getDiscussedBy()

    - #### getIdentifier

          @OslcDescription(value="A unique identifier for a resource. Assigned by the service provider when a resource is created. Not intended for end-user display.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/identifier")
          @OslcReadOnly
          @OslcTitle(value="Identifier")
          public String getIdentifier()

    - #### getImplementsRequirements

          @OslcDescription(value="Implements associated Requirement.")
          @OslcName(value="implementsRequirement")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#implementsRequirement")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Implements Requirements")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getImplementsRequirements()

    - #### getInstanceShape

          @OslcDescription(value="Resource Shape that provides hints as to resource property value-types and allowed values. ")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#instanceShape")
          @OslcRange(value="http://open-services.net/ns/core#ResourceShape")
          @OslcTitle(value="Instance Shape")
          public URI getInstanceShape()

    - #### getModified

          @OslcDescription(value="Timestamp last latest resource modification.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/modified")
          @OslcReadOnly
          @OslcTitle(value="Modified")
          public Date getModified()

    - #### getRdfTypes

          @OslcDescription(value="The resource type URIs.")
          @OslcName(value="type")
          @OslcPropertyDefinition(value="http://www.w3.org/1999/02/22-rdf-syntax-ns#type")
          @OslcTitle(value="Types")
          public URI[] getRdfTypes()

    - #### getRelatedChangeRequests

          @OslcDescription(value="This relationship is loosely coupled and has no specific meaning.")
          @OslcName(value="relatedChangeRequest")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#relatedChangeRequest")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Related Change Requests")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedChangeRequests()

    - #### getRelatedResources

          @OslcDescription(value="Related OSLC resources of any type.")
          @OslcName(value="relatedResource")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#relatedResource")
          @OslcTitle(value="Related Resources")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedResources()

    - #### getRelatedTestCases

          @OslcDescription(value="Related QM test case resource.")
          @OslcName(value="relatedTestCase")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#relatedTestCase")
          @OslcRange(value="http://open-services.net/ns/qm#TestCase")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Related Test Cases")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedTestCases()

    - #### getRelatedTestExecutionRecords

          @OslcDescription(value="Related to a QM test execution resource.")
          @OslcName(value="relatedTestExecutionRecord")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#relatedTestExecutionRecord")
          @OslcRange(value="http://open-services.net/ns/qm#TestExecutionRecord")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Related Test Execution Records")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedTestExecutionRecords()

    - #### getRelatedTestPlans

          @OslcDescription(value="Related QM test plan resource.")
          @OslcName(value="relatedTestPlan")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#relatedTestPlan")
          @OslcRange(value="http://open-services.net/ns/qm#TestPlan")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Related Test Plans")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedTestPlans()

    - #### getRelatedTestScripts

          @OslcDescription(value="Related QM test script resource.")
          @OslcName(value="relatedTestScript")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#relatedTestScript")
          @OslcRange(value="http://open-services.net/ns/qm#TestScript")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Related Test Scripts")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedTestScripts()

    - #### getServiceProvider

          @OslcDescription(value="The scope of a resource is a URI for the resource\'s OSLC Service Provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProvider")
          @OslcRange(value="http://open-services.net/ns/core#ServiceProvider")
          @OslcTitle(value="Service Provider")
          public URI getServiceProvider()

    - #### getShortTitle

          @OslcDescription(value="Short name identifying a resource, often used as an abbreviated identifier for presentation to end-users.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#shortTitle")
          @OslcTitle(value="Short Title")
          @OslcValueType(value=XMLLiteral)
          public String getShortTitle()

    - #### getStatus

          @OslcDescription(value="Used to indicate the status of the change request based on values defined by the service provider. Most often a read-only property. Some possible values may include: \'Submitted\', \'Done\', \'InProgress\', etc.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#status")
          @OslcTitle(value="Status")
          public String getStatus()

    - #### getSubjects

          @OslcDescription(value="Tag or keyword for a resource. Each occurrence of a dcterms:subject property denotes an additional tag for the resource.")
          @OslcName(value="subject")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/subject")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Subjects")
          public String[] getSubjects()

    - #### getTestedByTestCases

          @OslcDescription(value="Test case by which this change request is tested.")
          @OslcName(value="testedByTestCase")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#testedByTestCase")
          @OslcRange(value="http://open-services.net/ns/qm#TestCase")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Tested by Test Cases")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getTestedByTestCases()

    - #### getTitle

          @OslcDescription(value="Title (reference: Dublin Core) or often a single line summary of the resource represented as rich text in XHTML content.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### getTracksChangeSets

          @OslcDescription(value="Tracks SCM change set resource.")
          @OslcName(value="tracksChangeSet")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#tracksChangeSet")
          @OslcRange(value="http://open-services.net/ns/scm#ChangeSet")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Tracks Change Sets")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getTracksChangeSets()

    - #### getTracksRequirements

          @OslcDescription(value="Tracks the associated Requirement or Requirement ChangeSet resources.")
          @OslcName(value="tracksRequirement")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#tracksRequirement")
          @OslcRange(value="http://open-services.net/ns/rm#Requirement")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Tracks Requirements")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getTracksRequirements()

    - #### isApproved

          @OslcDescription(value="Whether or not the Change Request has been approved.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#approved")
          @OslcReadOnly
          @OslcTitle(value="Approved")
          public Boolean isApproved()

    - #### isClosed

          @OslcDescription(value="Whether or not the Change Request is completely done, no further fixes or fix verification is needed.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#closed")
          @OslcReadOnly
          @OslcTitle(value="Closed")
          public Boolean isClosed()

    - #### isFixed

          @OslcDescription(value="Whether or not the Change Request has been fixed.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#fixed")
          @OslcReadOnly
          @OslcTitle(value="Fixed")
          public Boolean isFixed()

    - #### isInProgress

          @OslcDescription(value="Whether or not the Change Request in a state indicating that active work is occurring. If oslc_cm:inprogress is true, then oslc_cm:fixed and oslc_cm:closed must also be false.")
          @OslcName(value="inprogress")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#inprogress")
          @OslcReadOnly
          @OslcTitle(value="In Progress")
          public Boolean isInProgress()

    - #### isReviewed

          @OslcDescription(value="Whether or not the Change Request has been reviewed.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#reviewed")
          @OslcReadOnly
          @OslcTitle(value="Reviewed")
          public Boolean isReviewed()

    - #### isVerified

          @OslcDescription(value="Whether or not the resolution or fix of the Change Request has been verified.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/cm#verified")
          @OslcReadOnly
          @OslcTitle(value="Verified")
          public Boolean isVerified()

    - #### setAffectedByDefects

          public void setAffectedByDefects(org.eclipse.lyo.oslc4j.core.model.Link[] affectedByDefects)

    - #### setAffectsPlanItems

          public void setAffectsPlanItems(org.eclipse.lyo.oslc4j.core.model.Link[] affectsPlanItems)

    - #### setAffectsRequirements

          public void setAffectsRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] affectsRequirements)

    - #### setAffectsTestResults

          public void setAffectsTestResults(org.eclipse.lyo.oslc4j.core.model.Link[] affectsTestResults)

    - #### setApproved

          public void setApproved(Boolean approved)

    - #### setBlocksTestExecutionRecords

          public void setBlocksTestExecutionRecords(org.eclipse.lyo.oslc4j.core.model.Link[] blocksTestExecutionRecords)

    - #### setClosed

          public void setClosed(Boolean closed)

    - #### setCloseDate

          public void setCloseDate(Date closeDate)

    - #### setContributors

          public void setContributors(URI[] contributors)

    - #### setCreated

          public void setCreated(Date created)

    - #### setCreators

          public void setCreators(URI[] creators)

    - #### setDctermsTypes

          public void setDctermsTypes(String[] dctermsTypes)

    - #### setDescription

          public void setDescription(String description)

    - #### setDiscussedBy

          public void setDiscussedBy(URI discussedBy)

    - #### setFixed

          public void setFixed(Boolean fixed)

    - #### setIdentifier

          public void setIdentifier(String identifier)

    - #### setImplementsRequirements

          public void setImplementsRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] implementsRequirements)

    - #### setInProgress

          public void setInProgress(Boolean inProgress)

    - #### setInstanceShape

          public void setInstanceShape(URI instanceShape)

    - #### setModified

          public void setModified(Date modified)

    - #### setRdfTypes

          public void setRdfTypes(URI[] rdfTypes)

    - #### setRelatedChangeRequests

          public void setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)

    - #### setRelatedResources

          public void setRelatedResources(org.eclipse.lyo.oslc4j.core.model.Link[] relatedResources)

    - #### setRelatedTestCases

          public void setRelatedTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestCases)

    - #### setRelatedTestExecutionRecords

          public void setRelatedTestExecutionRecords(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestExecutionRecords)

    - #### setRelatedTestPlans

          public void setRelatedTestPlans(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestPlans)

    - #### setRelatedTestScripts

          public void setRelatedTestScripts(org.eclipse.lyo.oslc4j.core.model.Link[] relatedTestScripts)

    - #### setReviewed

          public void setReviewed(Boolean reviewed)

    - #### setServiceProvider

          public void setServiceProvider(URI serviceProvider)

    - #### setShortTitle

          public void setShortTitle(String shortTitle)

    - #### setStatus

          public void setStatus(String status)

    - #### setSubjects

          public void setSubjects(String[] subjects)

    - #### setTestedByTestCases

          public void setTestedByTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] testedByTestCases)

    - #### setTitle

          public void setTitle(String title)

    - #### setTracksChangeSets

          public void setTracksChangeSets(org.eclipse.lyo.oslc4j.core.model.Link[] tracksChangeSets)

    - #### setTracksRequirements

          public void setTracksRequirements(org.eclipse.lyo.oslc4j.core.model.Link[] tracksRequirements)

    - #### setVerified

          public void setVerified(Boolean verified)

Copyright © 2016. All Rights Reserved.